### Hierarchy

- AccountRepositoryImpl

### Implements

- AccountRepository

## Index

### Constructors

- constructor

### Methods

- checkAccount
- getNonce
- registration
- unsubscribe

## Constructors

### constructor

- new AccountRepositoryImpl(transport: HttpTransport): AccountRepositoryImpl

- - Defined in repository/account/AccountRepositoryImpl.ts:13

  #### Parameters

  - ##### transport: HttpTransport

  #### Returns AccountRepositoryImpl

## Methods

### checkAccount

- checkAccount(account: Account): Promise<Account>

- Implementation of AccountRepository.checkAccount

  - Defined in repository/account/AccountRepositoryImpl.ts:28

  #### Parameters

  - ##### account: Account

  #### Returns Promise<Account>

### getNonce

- getNonce(account: Account): Promise<number>

- Implementation of AccountRepository.getNonce

  - Defined in repository/account/AccountRepositoryImpl.ts:41

  #### Parameters

  - ##### account: Account

  #### Returns Promise<number>

### registration

- registration(account: Account): Promise<Account>

- Implementation of AccountRepository.registration

  - Defined in repository/account/AccountRepositoryImpl.ts:19

  #### Parameters

  - ##### account: Account

  #### Returns Promise<Account>

### unsubscribe

- unsubscribe(account: Account): Promise<void>

- Implementation of AccountRepository.unsubscribe

  - Defined in repository/account/AccountRepositoryImpl.ts:37

  #### Parameters

  - ##### account: Account

  #### Returns Promise<void>

Generated using TypeDoc